## org.apache.jasper.xmlparser
Class ParserUtils

    java.lang.Object
      org.apache.jasper.xmlparser.ParserUtils

    public class ParserUtils

extends Object

XML parsing utilities for processing web application deployment descriptor and tag library descriptor files. FIXME - make these use a separate class loader for the parser to be used.

Version:
  $Revision: 1.11 $ $Date: 2007/05/05 05:32:59 $
Author:
  Craig R. McClanahan

Constructor Summary
`ParserUtils()`

Method Summary
`protected TreeNode` `convert(TreeNode parent, Node node)` Create and return a TreeNode that corresponds to the specified Node, including processing all of the attributes and children nodes.
`TreeNode` `parseXMLDocument(String uri, InputSource is)` Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.
`TreeNode` `parseXMLDocument(String uri, InputSource is, boolean validate)` Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.
`TreeNode` `parseXMLDocument(String uri, InputStream is)` Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.
`TreeNode` `parseXMLDocument(String uri, InputStream is, boolean validate)` Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.
`static void` `setDtdResourcePrefix(String prefix)` Sets the path prefix for .dtd resources
`static void` `setSchemaResourcePrefix(String prefix)` Sets the path prefix for .xsd resources

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserUtils

    public ParserUtils()

Method Detail

### setSchemaResourcePrefix

    public static void setSchemaResourcePrefix(String prefix)

  Sets the path prefix for .xsd resources

### setDtdResourcePrefix

    public static void setDtdResourcePrefix(String prefix)

  Sets the path prefix for .dtd resources

### parseXMLDocument

    public TreeNode parseXMLDocument(String uri,
                                     InputSource is)
                              throws JasperException

  Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.

  Parameters:
    `uri` - URI of the XML document being parsed
    `is` - Input source containing the deployment descriptor
  Throws:
    `JasperException` - if an I/O or parsing error has occurred

### parseXMLDocument

    public TreeNode parseXMLDocument(String uri,
                                     InputSource is,
                                     boolean validate)
                              throws JasperException

  Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.

  Parameters:
    `uri` - URI of the XML document being parsed
    `is` - Input source containing the deployment descriptor
    `validate` - true if the XML document needs to be validated against its DTD or schema, false otherwise
  Throws:
    `JasperException` - if an I/O or parsing error has occurred

### parseXMLDocument

    public TreeNode parseXMLDocument(String uri,
                                     InputStream is)
                              throws JasperException

  Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.

  Parameters:
    `uri` - URI of the XML document being parsed
    `is` - Input stream containing the deployment descriptor
  Throws:
    `JasperException` - if an I/O or parsing error has occurred

### parseXMLDocument

    public TreeNode parseXMLDocument(String uri,
                                     InputStream is,
                                     boolean validate)
                              throws JasperException

  Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.

  Parameters:
    `uri` - URI of the XML document being parsed
    `is` - Input stream containing the deployment descriptor
    `validate` - true if the XML document needs to be validated against its DTD or schema, false otherwise
  Throws:
    `JasperException` - if an I/O or parsing error has occurred

### convert

    protected TreeNode convert(TreeNode parent,
                               Node node)

  Create and return a TreeNode that corresponds to the specified Node, including processing all of the attributes and children nodes.

  Parameters:
    `parent` - The parent TreeNode (if any) for the new TreeNode
    `node` - The XML document Node to be converted

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.